AprStatus (Apache Tomcat 9.0.43 API Documentation)

org.apache.catalina.core

## Class AprStatus

- java.lang.Object
- - org.apache.catalina.core.AprStatus

-     public class AprStatus
      extends Object

  Holds APR status.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprStatus()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getUseAprConnector()`
    `static boolean` | `getUseOpenSSL()`
    `static boolean` | `isAprAvailable()`
    `static boolean` | `isAprInitialized()`
    `static boolean` | `isInstanceCreated()`
    `static void` | `setAprAvailable(boolean aprAvailable)`
    `static void` | `setAprInitialized(boolean aprInitialized)`
    `static void` | `setInstanceCreated(boolean instanceCreated)`
    `static void` | `setUseAprConnector(boolean useAprConnector)`
    `static void` | `setUseOpenSSL(boolean useOpenSSL)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AprStatus

          public AprStatus()

  - ### Method Detail

    - #### isAprInitialized

          public static boolean isAprInitialized()

    - #### isAprAvailable

          public static boolean isAprAvailable()

    - #### getUseAprConnector

          public static boolean getUseAprConnector()

    - #### getUseOpenSSL

          public static boolean getUseOpenSSL()

    - #### isInstanceCreated

          public static boolean isInstanceCreated()

    - #### setAprInitialized

          public static void setAprInitialized(boolean aprInitialized)

    - #### setAprAvailable

          public static void setAprAvailable(boolean aprAvailable)

    - #### setUseAprConnector

          public static void setUseAprConnector(boolean useAprConnector)

    - #### setUseOpenSSL

          public static void setUseOpenSSL(boolean useOpenSSL)

    - #### setInstanceCreated

          public static void setInstanceCreated(boolean instanceCreated)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.